org.jclouds.vcloud.director.v1_5.features
Interface VAppApi


public interface VAppApi

Provides synchronous access to VApp objects.

Version:
1.5
Author:
grkvlt@apache.org
See Also:
VAppAsyncApi

Method Summary
 Task deleteVApp(URI vAppURI)
          Deletes a VApp.
 Task deploy(URI vAppURI, DeployVAppParams params)
          Deploys a VApp.
 Task discardSuspendedState(URI vAppURI)
          Discard suspended state of a VApp.
 void enterMaintenanceMode(URI vAppURI)
          Place the VApp into maintenance mode.
 void exitMaintenanceMode(URI vAppURI)
          Take the VApp out of maintenance mode.
 ControlAccessParams getControlAccess(URI vAppURI)
          Retrieves the control access information for a VApp.
 LeaseSettingsSection getLeaseSettingsSection(URI vAppURI)
          Retrieves the lease settings section of a VApp.
 MetadataApi.Writeable getMetadataApi()
          Synchronous access to VApp Metadata features.
 NetworkConfigSection getNetworkConfigSection(URI vAppURI)
          Retrieves the network config section of a VApp.
 NetworkSection getNetworkSection(URI vAppURI)
          Retrieves the network section of a VApp.
 Owner getOwner(URI vAppURI)
          Retrieves the owner of a VApp.
 ProductSectionList getProductSections(URI vAppURI)
          Retrieves VApp product sections.
 StartupSection getStartupSection(URI vAppURI)
          Retrieves the startup section of a VApp.
 VApp getVApp(URI vAppURI)
          Retrieves a VApp.
 ControlAccessParams modifyControlAccess(URI vAppURI, ControlAccessParams params)
          Modifies the control access of a VApp.
 Task modifyLeaseSettingsSection(URI vAppURI, LeaseSettingsSection section)
          Modifies the lease settings section of a VApp.
 Task modifyNetworkConfigSection(URI vAppURI, NetworkConfigSection section)
          Modifies the network config section of a VApp.
 void modifyOwner(URI vAppURI, Owner owner)
          Changes VApp owner.
 Task modifyProductSections(URI vAppURI, ProductSectionList sectionList)
          Modifies the product section information of a VApp.
 Task modifyStartupSection(URI vAppURI, StartupSection section)
          Modifies the startup section of a VApp.
 Task modifyVApp(URI vAppURI, VApp vApp)
          Modifies the name/description of a VApp.
 Task powerOff(URI vAppURI)
          Powers off a VApp.
 Task powerOn(URI vAppURI)
          Powers on a VApp.
 Task reboot(URI vAppURI)
          Reboots a VApp.
 Task recompose(URI vAppURI, RecomposeVAppParams params)
          Recompose a VApp by removing its own VMs and/or adding new ones from other vApps or vApp templates.
 Task reset(URI vAppURI)
          Resets a VApp.
 Task shutdown(URI vAppURI)
          Shuts down a VApp.
 Task suspend(URI vAppURI)
          Suspends a VApp.
 Task undeploy(URI vAppURI, UndeployVAppParams params)
          Undeploy a VApp.
 

Method Detail

getVApp

VApp getVApp(URI vAppURI)
Retrieves a VApp. The VApp could be in one of these statuses:
 GET /vApp/{id}
 

Since:
0.9

modifyVApp

Task modifyVApp(URI vAppURI,
                VApp vApp)
Modifies the name/description of a VApp.
 PUT /vApp/{id}
 

Since:
0.9

deleteVApp

Task deleteVApp(URI vAppURI)
Deletes a VApp.
 DELETE /vApp/{id}
 

Since:
0.9

modifyControlAccess

ControlAccessParams modifyControlAccess(URI vAppURI,
                                        ControlAccessParams params)
Modifies the control access of a VApp.
 POST /vApp/{id}/action/controlAccess
 

Since:
0.9

deploy

Task deploy(URI vAppURI,
            DeployVAppParams params)
Deploys a VApp. Deployment means allocation of all resource for a vApp/VM like CPU and memory from a vDC resource pool. Deploying a vApp automatically deploys all of the virtual machines it contains. As of version 1.5 the operation supports force customization passed with DeployVAppParamsType#setForceCustomization(Boolean) parameter.
 POST /vApp/{id}/action/deploy
 

Since:
0.9

discardSuspendedState

Task discardSuspendedState(URI vAppURI)
Discard suspended state of a VApp. Discarding suspended state of a vApp automatically discarded suspended states of all of the virtual machines it contains.
 POST /vApp/{id}/action/discardSuspendedState
 

Since:
0.9

enterMaintenanceMode

void enterMaintenanceMode(URI vAppURI)
Place the VApp into maintenance mode. While in maintenance mode, a system admin can operate on the vApp as usual, but end users are restricted to read-only operations. Any user-initiated tasks running when the vApp enters maintenance mode will continue.
 POST /vApp/{id}/action/enterMaintenanceMode
 

Since:
1.5

exitMaintenanceMode

void exitMaintenanceMode(URI vAppURI)
Take the VApp out of maintenance mode.
 POST /vApp/{id}/action/exitMaintenanceMode
 

Since:
1.5

recompose

Task recompose(URI vAppURI,
               RecomposeVAppParams params)
Recompose a VApp by removing its own VMs and/or adding new ones from other vApps or vApp templates. To remove VMs you should put their references in elements. The way you add VMs is the same as described in compose vApp operation VdcApi#composeVApp(URI, org.jclouds.vcloud.director.v1_5.domain.ComposeVAppParams). The status of vApp will be in org.jclouds.vcloud.director.v1_5.domain.ResourceEntityType.Status#UNRESOLVED until the recompose task is finished.
 POST /vApp/{id}/action/recomposeVApp
 

Since:
1.0

undeploy

Task undeploy(URI vAppURI,
              UndeployVAppParams params)
Undeploy a VApp. Undeployment means deallocation of all resources for a vApp/VM like CPU and memory from a vDC resource pool. Undeploying a vApp automatically undeploys all of the virtual machines it contains.
 POST /vApp/{id}/action/undeploy
 

Since:
0.9

getControlAccess

ControlAccessParams getControlAccess(URI vAppURI)
Retrieves the control access information for a VApp. The vApp could be shared to everyone or could be shared to specific user, by modifying the control access values.
 GET /vApp/{id}/controlAccess
 

Since:
0.9

powerOff

Task powerOff(URI vAppURI)
Powers off a VApp. If the operation is used over a vApp then all VMs are powered off. This operation is allowed only when the vApp/VM is powered on.
 POST /vApp/{id}/power/action/powerOff
 

Since:
0.9

powerOn

Task powerOn(URI vAppURI)
Powers on a VApp. If the operation is used over a vApp then all VMs are powered on. This operation is allowed only when the vApp/VM is powered off.
 POST /vApp/{id}/power/action/powerOn
 

Since:
0.9

reboot

Task reboot(URI vAppURI)
Reboots a VApp. The vApp/VM should be started in order to reboot it.
 POST /vApp/{id}/power/action/reboot
 

Since:
0.9

reset

Task reset(URI vAppURI)
Resets a VApp. If the operation is used over a vApp then all VMs are reset. This operation is allowed only when the vApp/VM is powered on.
 POST /vApp/{id}/power/action/reset
 

Since:
0.9

shutdown

Task shutdown(URI vAppURI)
Shuts down a VApp. If the operation is used over a vApp then all VMs are shutdown. This operation is allowed only when the vApp/VM is powered on.
 POST /vApp/{id}/power/action/shutdown
 

Since:
0.9

suspend

Task suspend(URI vAppURI)
Suspends a VApp. If the operation is used over a vApp then all VMs are suspended. This operation is allowed only when the vApp/VM is powered on.
 POST /vApp/{id}/power/action/suspend
 

Since:
0.9

getLeaseSettingsSection

LeaseSettingsSection getLeaseSettingsSection(URI vAppURI)
Retrieves the lease settings section of a VApp.
 GET /vApp/{id}/leaseSettingsSection
 

Since:
0.9

modifyLeaseSettingsSection

Task modifyLeaseSettingsSection(URI vAppURI,
                                LeaseSettingsSection section)
Modifies the lease settings section of a VApp.
 PUT /vApp/{id}/leaseSettingsSection
 

Since:
0.9

getNetworkConfigSection

NetworkConfigSection getNetworkConfigSection(URI vAppURI)
Retrieves the network config section of a VApp.
 GET /vApp/{id}/networkConfigSection
 

Since:
0.9

modifyNetworkConfigSection

Task modifyNetworkConfigSection(URI vAppURI,
                                NetworkConfigSection section)
Modifies the network config section of a VApp.
 PUT /vApp/{id}/networkConfigSection
 

Since:
0.9

getNetworkSection

NetworkSection getNetworkSection(URI vAppURI)
Retrieves the network section of a VApp.
 GET /vApp/{id}/networkSection
 

Since:
0.9

getOwner

Owner getOwner(URI vAppURI)
Retrieves the owner of a VApp.
 GET /vApp/{id}/owner
 

Since:
1.5

modifyOwner

void modifyOwner(URI vAppURI,
                 Owner owner)
Changes VApp owner.
 PUT /vApp/{id}/owner
 

Since:
1.5

getProductSections

ProductSectionList getProductSections(URI vAppURI)
Retrieves VApp product sections.
 GET /vApp/{id}/productSections
 

Since:
1.5

modifyProductSections

Task modifyProductSections(URI vAppURI,
                           ProductSectionList sectionList)
Modifies the product section information of a VApp.
 PUT /vApp/{id}/productSections
 

Since:
1.5

getStartupSection

StartupSection getStartupSection(URI vAppURI)
Retrieves the startup section of a VApp.
 GET /vApp/{id}/startupSection
 

Since:
0.9

modifyStartupSection

Task modifyStartupSection(URI vAppURI,
                          StartupSection section)
Modifies the startup section of a VApp.
 PUT /vApp/{id}/startupSection
 

Since:
0.9

getMetadataApi

MetadataApi.Writeable getMetadataApi()
Synchronous access to VApp Metadata features.



Copyright © 2009-2012 jclouds. All Rights Reserved.